# ComponentModuleMetadataDetails

interface ComponentModuleMetadataDetails : ComponentModuleMetadata

Contains and allows configuring component module metadata information. For information and examples please see org.gradle.api.artifacts.dsl.ComponentModuleMetadataHandler

#### Since

2.2

## Functions

getId
Link copied to clipboard
abstract fun getId(): ModuleIdentifier
getReplacedBy
Link copied to clipboard
abstract fun getReplacedBy(): @Nullable ModuleIdentifier
replacedBy
Link copied to clipboard
abstract fun replacedBy(moduleNotation: Any)
Configures a replacement module for this module.
abstract fun replacedBy(moduleNotation: Any, @Nullable reason: @Nullable String)
Configures a replacement module for this module and provides an explanation for the replacement.